using System;
using System.Collections.Generic;
using System.Text;
using Messages;
using NBus.Workflow;
using NBus;

namespace Server
{
    public class WF : IWorkflow<StartWF>
    {
        #region IWorkflow<StartWF> Members

        private Guid id = Guid.NewGuid();
        public Guid Id
        {
            get
            {
                return id;
            }
        }

        private bool completed = false;
        public bool Completed
        {
            get { return completed; }
        }

        public void Timeout(object state)
        {
            System.Diagnostics.Debugger.Break();

            this.completed = true;
        }

        public void Handle(StartWF message)
        {
            System.Diagnostics.Debugger.Break();

            this.reminder.ExpireIn(TimeSpan.FromSeconds(5), this, null);
        }
        #endregion

        #region config info

        private Reminder reminder;
        public Reminder Reminder
        {
            get { return reminder; }
            set { reminder = value; }
        }

        private IBus bus;
        public IBus Bus
        {
            get { return bus; }
            set { bus = value; }
        }

        #endregion
    }
}
