using System;
using System.Collections.Generic;
using System.Text;

namespace NBus.Workflow
{
    [Serializable]
    public class TimeoutMessage : IWorkflowMessage
    {
        private DateTime expires;
        public DateTime Expires
        {
            get { return expires; }
            set { expires = value; }
        }

        private Guid workflowId;
        public Guid WorkflowId
        {
            get { return workflowId; }
            set { workflowId = value; }
        }

        private object state;
        public object State
        {
            get { return state; }
            set { state = value; }
        }
    }
}
